package com.sw.mes.yb.seed.service;

import com.sw.mes.core.base.BaseService;
import com.sw.mes.core.response.Result;
import com.sw.mes.yb.seed.dto.SeedRequireTaskDto;
import com.sw.mes.yb.seed.entity.SeedRequireTask;

import java.util.List;

public interface SeedRequireTaskService extends BaseService<SeedRequireTask> {

    SeedRequireTask findByCode(String code);

    Result create(SeedRequireTaskDto seedRequireTaskDto);

    Result update(SeedRequireTaskDto seedRequireTaskDto);

    List<SeedRequireTask> findOldSeedRequireTask();
    //查询已经超时的任务
    List<SeedRequireTask> findSeedRequireTask();
}
